%define upstream_name	 Acme-MetaSyntactic
%define upstream_version 1.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generates themed metasyntactic variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Glob)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
Acme::MetaSyntactic is a perl module to generate good (as well as funny)
metasyntactic variable names. It provides several variable themes, from the
usual "foo" "bar" list, to the fight sound effects from the Batman 60s TV
serial.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f t/33locale_win32.t t/pod.t
%make test 

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 362810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.7.0-1.mga3
+ Revision: 306057
- update to 1.007

* Wed Aug 29 2012 kharec <kharec> 1.6.0-1.mga3
+ Revision: 285070
- update to 1.006

* Wed Jul 04 2012 jquelin <jquelin> 1.4.0-1.mga3
+ Revision: 267264
- update to 1.004

* Mon Jun 18 2012 kharec <kharec> 1.3.0-1.mga3
+ Revision: 261488
- update to 1.003

* Wed Jun 06 2012 jquelin <jquelin> 1.2.0-1.mga3
+ Revision: 256119
- update to 1.002

* Sun Jan 23 2011 jquelin <jquelin> 0.990.0-1.mga1
+ Revision: 33721
- remove win32 test
- mageia rebuild
- imported package perl-Acme-MetaSyntactic

